Package org.apache.wiki.pages

# Class PageBuilder

java.lang.Object
org.apache.wiki.pages.PageBuilder

public class PageBuilder extends Object
Builder for `Page` Objects.

## Method Summary

Modifier and Type
Method
Description
`<T extends Page>
T`
`openAs(T page)`
Sets up Selenide and opens the requested URL, allowing chaining additional operations over the given `Page` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### openAs

public <T extends Page> T openAs(T page)
Sets up Selenide and opens the requested URL, allowing chaining additional operations over the given `Page` instance.

Parameters:
  `page` - `Page` instance, in order to allow chaining operations.
Returns:
  `Page` instance given on the `PageBuilder` constructor.